# Class Base64OutputFormatter

java.lang.Object
org.apache.zookeeper.cli.Base64OutputFormatter

All Implemented Interfaces:
  `OutputFormatter`

public class Base64OutputFormatter extends Object implements OutputFormatter

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Base64OutputFormatter`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`Base64OutputFormatter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`format(byte[] data)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final Base64OutputFormatter INSTANCE

## Constructor Details

### Base64OutputFormatter

public Base64OutputFormatter()

## Method Details

### format

public String format(byte[] data)

Specified by:
  `format` in interface `OutputFormatter`